package intrinsic.mx.messaging.events;

public class MessageFaultEvent extends intrinsic.flash.events.Event {

	/** Accessors */
	public Object rootCause;
	public String faultCode;
	public String faultString;
	public String faultDetail;

	/** Variables */
	public intrinsic.mx.messaging.messages.ErrorMessage message;

	/** Constants */
	public static final String FAULT = "fault";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public MessageFaultEvent() {
}

public MessageFaultEvent(String arg0) {
}

public MessageFaultEvent(String arg0, boolean arg1) {
}

public MessageFaultEvent(String arg0, boolean arg1, boolean arg2) {
}

public MessageFaultEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.messaging.messages.ErrorMessage arg3) {
}


/** Static Methods */
public static native intrinsic.mx.messaging.events.MessageFaultEvent createEvent(intrinsic.mx.messaging.messages.ErrorMessage arg0);

/** Methods */
public native Object clone();
public native String toString();

}
